
 PARAMETER VERSION = 2.2.0


BEGIN OS
 PARAMETER OS_NAME = standalone
 PARAMETER OS_VER = 1.00.a
 PARAMETER PROC_INSTANCE = my_blaze
 PARAMETER STDOUT = my_mdm
 PARAMETER STDIN = my_mdm
END


# BEGIN DRIVER
# parameter HW_INSTANCE = my_timer
# parameter DRIVER_NAME = tmrctr
# parameter DRIVER_VER = 1.00.b
# parameter INT_HANDLER = timer_int_handler, INT_PORT = Interrupt
# END
BEGIN PROCESSOR
 PARAMETER DRIVER_NAME = cpu
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = my_blaze
 PARAMETER COMPILER_FLAGS = -mxl-barrel-shift -mno-xl-soft-mul -mno-xl-soft-div
 PARAMETER ARCHIVER = mb-ar
 PARAMETER COMPILER = mb-gcc
 PARAMETER XMDSTUB_PERIPHERAL = my_mdm
END


# PARAMETER DEFAULT_INIT = XMDSTUB
BEGIN DRIVER
 PARAMETER HW_INSTANCE = myopb_bus
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

# BEGIN DRIVER
# PARAMETER HW_INSTANCE = my_intc
# PARAMETER DRIVER_NAME = intc
# PARAMETER DRIVER_VER = 1.00.b
# END
BEGIN DRIVER
 PARAMETER HW_INSTANCE = my_mdm
 PARAMETER DRIVER_NAME = uartlite
 PARAMETER DRIVER_VER = 1.00.b
END

# BEGIN DRIVER
# PARAMETER HW_INSTANCE = my_ac97
# PARAMETER DRIVER_NAME = sound_controller
# PARAMETER DRIVER_VER = 1.00.a
# PARAMETER int_handler = sound_handler, int_port = Playback_Interrupt
# END
BEGIN DRIVER
 PARAMETER HW_INSTANCE = my_ac97
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = my_zbt
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = my_zbt_2
END


